Package com.orchestranetworks.ui.form.widget

# Interface UICheckBoxGroup

All Superinterfaces:
  `UIAtomicWidget`, `UIAtomicWithEnumeration`, `UIWidget`

public interface UICheckBoxGroup extends UIAtomicWithEnumeration
Group of checkboxes based on an enumeration.

Since multiple values can be checked, the underlying field must be an aggregated list.

### JavaScript type

The JavaScript type for this widget is an `Array` of `String`s (`String[]`) corresponding to the selected keys. If no checkbox is selected, the value will be an empty `Array`, that is `[]`.

If an `afterValueChanged action` has been set on this widget, the JavaScript type of the value will be the same.

Since:
  5.3.0
See Also:
  - `UIFormWriter.newCheckBoxGroup(com.orchestranetworks.schema.Path)`
  - `UIResponseContext.newCheckBoxGroup(com.orchestranetworks.schema.Path)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getColumnsNumber()`
  `void`
  `setColumnsNumber(int numberOfColumns)`
  Sets the number of columns to use for the layout of the checkboxes.
  `void`
  `setColumnsNumber(Integer numberOfColumns)`
  Sets the number of columns to use for the layout of the checkboxes.

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWidget

  `getActionOnAfterValueChanged, isAjaxPrevalidationEnabled, isAjaxValueSynchEnabled, setActionOnAfterValueChanged, setAjaxPrevalidationEnabled, setAjaxValueSynchEnabled`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWithEnumeration

  `getSpecificNomenclature, setSpecificNomenclature`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIWidget

  `isEditorDisabled, setEditorDisabled`

- ## Method Details

  - ### getColumnsNumber

    Integer getColumnsNumber()
    See Also:
      - `setColumnsNumber(Integer)`

  - ### setColumnsNumber

    void setColumnsNumber(int numberOfColumns)
    Sets the number of columns to use for the layout of the checkboxes.
    Parameters:
      `numberOfColumns` - the number of columns for the layout of checkboxes, must be greater than zero.
    See Also:
      - `setColumnsNumber(Integer)`

  - ### setColumnsNumber

    void setColumnsNumber(Integer numberOfColumns)
    Sets the number of columns to use for the layout of the checkboxes.

    If the parameter is `null`, then the component will have its default number of columns.

    Default value: `null`.

    Parameters:
      `numberOfColumns` - the number of columns for the layout of checkboxes, or `null` to reset to default.